import { Module } from '@nestjs/common';
import { StaffService } from './staff.service';
import { StaffController } from './staff.controller';

import { DepartmentModule } from '../department/department.module';
import { TrpcModule } from '../../trpc/trpc.module';
import { StaffRouter } from './staff.router';
import { StaffRowService } from './staff.row.service';
import { TrpcService } from '@server/trpc/trpc.service';
@Module({
  imports: [DepartmentModule],
  providers: [StaffService, StaffRouter, StaffRowService, TrpcService],
  exports: [StaffService, StaffRouter],
  controllers: [StaffController, ],
})
export class StaffModule {}
