import { areaOptions } from "@web/src/data/area-options";

export const defaultFields = [
    // 基本信息组
    { name: 'username', label: '用户名', type: 'text',required: true, group: '基本信息', order: 1 },
    { name: 'showname', label: '显示名称', type: 'text', group: '基本信息', order: 2 },
    { name: 'idNumber', label: '身份证号', type: 'text', group: '基本信息', order: 3 },
    { name: 'officerId', label: '警号', type: 'text', group: '基本信息', order: 4 },
    { name: 'phoneNumber', label: '手机号', type: 'text', group: '基本信息', order: 5 },
    { name: 'age', label: '年龄', type: 'number', group: '基本信息', order: 6 },
    { name: 'sex', 
      label: '性别', 
      type: 'radio', 
      options: [
        { label: '男', value: 'male' },
        { label: '女', value: 'female' },
      ],
      group: '基本信息', 
      order: 7 },
    { name: 'bloodType', 
      label: '血型', 
      type: 'select', 
      options: [
        { label: 'A', value: 'A' },
        { label: 'B', value: 'B' },
        { label: 'AB', value: 'AB' },
        { label: 'O', value: 'O' },
      ],
      group: '基本信息', 
      order: 8 },
    { name: 'birthplace',
       label: '籍贯',
       type: 'cascader', 
      //  options:areaOptions,
       group: '基本信息',
       order: 9 },
    { name: 'source', label: '来源', type: 'text', group: '基本信息', order: 10 },
  
    // 政治信息组
    { name: 'politicalStatus', 
      label: '政治面貌', 
      type: 'select', 
      options: [
        { label: '中共党员', value: '中共党员' },
        { label: '中共预备党员', value: '中共预备党员' },
        { label: '共青团员', value: '共青团员' },
        { label: '群众', value: '群众' },
      ],
      group: '政治信息', 
      order: 11 },
    { name: 'partyPosition', label: '党内职务', type: 'text', group: '政治信息', order: 12 },
  
    // 职务信息组
    { name: 'rank', 
      label: '衔职级别', 
      type: 'select', 
      options: [
        { label: '', value: '' },
        { label: '', value: '' },
      ],
      group: '职务信息', 
      order: 13 },
    { name: 'rankDate', label: '衔职时间', type: 'date', group: '职务信息', order: 14 },
    { name: 'proxyPosition', label: '代理职务', type: 'text', group: '职务信息', order: 15 },
    { name: 'post', label: '岗位', type: 'text', group: '职务信息', order: 16 },
  
    // 入职信息组
    { name: 'hireDate', label: '入职时间', type: 'date', group: '入职信息', order: 17 },
    { name: 'seniority', label: '工龄认定时间', type: 'date', group: '入职信息', order: 18 },
    { name: 'sourceType', label: '来源类型', type: 'text', group: '入职信息', order: 19 },
    { name: 'isReentry', 
      label: '是否二次入职', 
      type: 'radio', 
      options: [
        { label: '是', value: '是' },
        { label: '否', value: '否' },
      ],
      group: '入职信息', 
      order: 20 },
    { name: 'isExtended', 
      label: '是否延期服役', 
      type: 'radio', 
      options: [
        { label: '是', value: '是' },
        { label: '否', value: '否' },
      ],
      group: '入职信息', 
      order: 21 },
    { name: 'currentPositionDate', label: '现岗位开始时间', type: 'date', group: '入职信息', order: 22 },
  
    // 教育信息组
    { name: 'education',
       label: '学历', 
       type: 'select',
       options: [
        { label: '博士', value: '博士' },
        { label: '硕士', value: '硕士' },
        { label: '本科', value: '本科' },
        { label: '专科', value: '专科' },
        { label: '中专', value: '中专' },
        { label: '高中', value: '高中' },
        { label: '初中', value: '初中' },
        { label: '小学', value: '小学' },
      ],
      group: '教育信息', 
      order: 23 },
    { name: 'educationType', 
      label: '学历形式', 
      type: 'select', 
      options: [
        { label: '全日制', value: '全日制' },
        { label: '非全日制', value: '非全日制' },
      ],
      group: '教育信息', 
      order: 24 },
    { name: 'isGraduated',
      label: '是否毕业', 
      type: 'radio', 
      options: [
        { label: '是', value: '是' },
        { label: '否', value: '否' },
      ],
      group: '教育信息', 
      order: 25 },
    { name: 'major', label: '专业', type: 'text', group: '教育信息', order: 26 },
    { name: 'foreignLang', label: '外语能力', type: 'text', group: '教育信息', order: 27 },
  
    // 培训信息组
    { name: 'trainType', label: '培训类型', type: 'text', group: '培训信息', order: 28 ,dependsOn:{field: 'hasTrain', value: '是'}},
    { name: 'trainInstitute', label: '培训机构', type: 'text', group: '培训信息', order: 29 ,dependsOn: {field: 'hasTrain', value: '是'}},
    { name: 'trainMajor', label: '培训专业', type: 'text', group: '培训信息', order: 30 ,dependsOn: {field: 'hasTrain', value: '是'}},
    { name: 'hasTrain', 
      label: '是否参加培训', 
      type: 'radio', 
      options: [
        { label: '是', value: '是' },
        { label: '否', value: '否' },
      ],
      group: '培训信息', 
      order: 31 },
  
    // 鉴定信息组
    { name: 'certRank',
       label: '鉴定等级', 
       type: 'text', 
       group: '鉴定信息',
       order: 32 ,
       dependsOn: {field: 'hasCert', value: '是'}},
    { name: 'certWork', 
      label: '鉴定工种',
       type: 'text', 
       group: '鉴定信息', 
       order: 33 ,
       dependsOn: {field: 'hasCert', value: '是'}},
    { name: 'hasCert', 
      label: '是否参加鉴定', 
      type: 'radio', 
      options: [
        { label: '是', value: '是' },
        { label: '否', value: '否' },
      ],
      group: '鉴定信息', 
      order: 34 },
  
    // 工作信息组
    { name: 'equipment', label: '操作维护装备', type: 'textarea', group: '工作信息', order: 35 },
    { name: 'projects', label: '演训任务经历', type: 'textarea', group: '工作信息', order: 36 },
    { name: 'awards', label: '奖励信息', type: 'textarea', group: '工作信息', order: 37 },
    { name: 'punishments', label: '处分信息', type: 'textarea', group: '工作信息', order: 38 },
  ];

  export const FieldTypeOptions = [
    { label: '文本', value: 'text' },
    { label: '数字', value: 'number' },
    { label: '日期', value: 'date' },
    { label: '选择', value: 'select' },
    { label: '单选', value: 'radio' },
    { label: '多行文本', value: 'textarea' },
    { label: '级联', value: 'cascader' },
  ];
  
  export const GroupOptions = [
    { label: '个人基本信息', value: '个人基本信息' },
    { label: '政治信息', value: '政治信息' },
    { label: '教育背景', value: '教育背景' },
    { label: '职务信息', value: '职务信息' },
    { label: '入职信息', value: '入职信息' },
    { label: '培训信息', value: '培训信息' },
    { label: '鉴定信息', value: '鉴定信息' },
    { label: '工作信息', value: '工作信息' },
    { label: '其他信息', value: '其他信息' },
  ];