import { Layout, Avatar, Dropdown, Menu } from 'antd';
import { UserOutlined } from '@ant-design/icons';
import { useNavigate, Outlet, useLocation } from 'react-router-dom';
import NavigationMenu from './NavigationMenu';
import { Header } from 'antd/es/layout/layout';
import { useState } from 'react';

const { Sider, Content } = Layout;

export default function MainHeader() {

  return (
    <Layout>
      {/* 顶部Header */}
      <Header className="flex justify-end items-center bg-white shadow-sm h-16 px-6">
        <Avatar className='bg-black'></Avatar>
      </Header>

      {/* 主体布局 */}
      <Layout className="h-screen">
        {/* 左侧导航栏 */}
        <Sider theme="light" width={240} className="shadow-sm">
          <NavigationMenu />
        </Sider>

        {/* 内容区域 */}
        <Content className="overflow-auto p-6 bg-gray-50">
          <Outlet />
        </Content>
      </Layout>
    </Layout>
  );
}