import { BookOpenIcon } from "@heroicons/react/24/outline";
import { motion } from "framer-motion";
import React from "react";
interface CollapsedButtonProps {
	onToggle: () => void;
}

export const CollapsedButton: React.FC<CollapsedButtonProps> = ({
	onToggle,
}) => (
	<motion.button
		initial={{ opacity: 0 }}
		animate={{ opacity: 1 }}
		exit={{ opacity: 0 }}
		onClick={onToggle}
		className="p-2 bg-white rounded-l-lg shadow-lg hover:bg-gray-100">
		<BookOpenIcon className="w-6 h-6 text-gray-600" />
	</motion.button>
);
