// components/CourseSyllabus/SyllabusHeader.tsx
import React from "react";

import { XMarkIcon } from "@heroicons/react/24/outline";
interface SyllabusHeaderProps {
	onToggle: () => void;
}

export const SyllabusHeader: React.FC<SyllabusHeaderProps> = ({ onToggle }) => (
	<div className="p-4 border-b flex items-center justify-between">
		<h2 className="text-xl font-semibold">课程大纲</h2>
		<button
			onClick={onToggle}
			className="p-2 hover:bg-gray-100 rounded-full">
			<XMarkIcon className="w-6 h-6 text-gray-600" />
		</button>
	</div>
);
