import {
	AcademicCapIcon,
	BookOpenIcon,
	Cog6ToothIcon,
	VideoCameraIcon,
} from "@heroicons/react/24/outline";
import { NavItem } from "@nice/client";

export const getNavItems = (
	courseId?: string
): (NavItem & { isInitialized?: boolean; isCompleted?: boolean })[] => [
	{
		label: "课程概述",
		icon: <BookOpenIcon className="w-5 h-5" />,
		path: `/course/${courseId ? `${courseId}/` : ""}editor`,
		isInitialized: true,
	},
	// {
	// 	label: "目标学员",
	// 	icon: <AcademicCapIcon className="w-5 h-5" />,
	// 	path: `/course/${courseId ? `${courseId}/` : ""}editor/goal`,
	// 	isInitialized: false,
	// },
	{
		label: "课程内容",
		icon: <VideoCameraIcon className="w-5 h-5" />,
		path: `/course/${courseId ? `${courseId}/` : ""}editor/content`,
		isInitialized: false,
	},
	// {
	// 	label: "课程设置",
	// 	icon: <Cog6ToothIcon className="w-5 h-5" />,
	// 	path: `/course/${courseId ? `${courseId}/` : ""}editor/setting`,
	// 	isInitialized: false,
	// },
];
