import { useAuth } from "@web/src/providers/auth-provider"
import { api } from "@nice/client"
import { Select } from "antd"
import { Department } from "packages/common/dist"
import { useEffect } from "react"

interface Props {
    value?: string | null
    onChange?: (value: string | null) => void
}
export default function DepartmentChildrenSelect({value, onChange}: Props) {
    const { user, isAuthenticated } = useAuth()

    // const { data: depts, isLoading: deptsLoading }
    // const { user, isAuthenticated } = useAuth()
    
    const { data: depts, isLoading: deptsLoading }
    = isAuthenticated ? api.department.getChildSimpleTree.useQuery({
        rootId: user.deptId
    }) : { data: null, isLoading: false }

    const deptSelectOptions = depts?.map((dept) => ({
        label: dept.title,
        value: dept.id
    }))
    return (
        <Select
            placeholder="请选择单位"
            optionFilterProp="label"
            options={deptSelectOptions}
            value={value}
            onChange={onChange}
        />
    )
}